Bug 681469 - [abrt] gedit-2:2.30.4-1.fc14: __init__.py:99:git:AttributeError: Dummy instance has no attribute 'find_repository_path'
[abrt] gedit-2:2.30.4-1.fc14: __init__.py:99:git:AttributeError: Dummy instan...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:5484a5a2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-02 04:50 EST by Renich Bon Ciric
Modified: 2012-08-16 11:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2011-03-02 04:50 EST, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2011-03-02 04:50:36 EST
abrt version: 1.1.17
architecture: x86_64
cmdline: gedit
comment: nothing... I really don't know what happened. It didn't crash but a bug was catched
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.35.11-83.fc14.x86_64
package: gedit-2:2.30.4-1.fc14
reason: __init__.py:99:git:AttributeError: Dummy instance has no attribute 'find_repository_path'
release: Fedora release 14 (Laughlin)
How to reproduce: 1. Started gedit as usual
time: 1299059371
uid: 500

backtrace
-----
__init__.py:99:git:AttributeError: Dummy instance has no attribute 'find_repository_path'

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/rabbitvcs-plugin.py", line 374, in update_ui
    self._instances[window].update_ui()
  File "/usr/lib64/gedit-2/plugins/rabbitvcs-plugin.py", line 285, in update_ui
    self._determine_menu_sensitivity([self._get_document_path()])
  File "/usr/lib64/gedit-2/plugins/rabbitvcs-plugin.py", line 326, in _determine_menu_sensitivity
    self._menubar_menu.update_conditions(paths)
  File "/usr/lib64/gedit-2/plugins/rabbitvcs-plugin.py", line 582, in update_conditions
    self.conditions.generate_path_dict(paths)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/util/contextmenu.py", line 623, in generate_path_dict
    self.path_dict[key] = func(path)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/__init__.py", line 168, in is_versioned
    client = self.client(path)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/__init__.py", line 134, in client
    return self.git(guess["repo_path"], is_repo_path=False)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/__init__.py", line 99, in git
    repo_path = git.find_repository_path(path)
AttributeError: Dummy instance has no attribute 'find_repository_path'

Local variables in innermost frame:
is_repo_path: False
self: <rabbitvcs.vcs.VCS instance at 0x21691b8>
git: <rabbitvcs.vcs.dummy.Dummy instance at 0x22c03f8>
path: '/var/www/zf/g33kr'
Comment 1 Renich Bon Ciric 2011-03-02 04:50:38 EST
Created attachment 481825 [details]
File: backtrace
Comment 2 Renich Bon Ciric 2011-03-10 13:24:44 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I just open any file and this happens

Comment
-----
it doesn't crash at all... is it the rabbit plugin¿?
Comment 3 Renich Bon Ciric 2011-03-21 18:48:02 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open up gEdit with plugins enabled

Comment
-----
I just opened it... no crash...
Comment 4 Renich Bon Ciric 2011-03-29 01:18:42 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open gEdit

Comment
-----
Did nothing and it didn't crash... just opened the editor
Comment 5 Renich Bon Ciric 2011-04-12 16:03:45 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just opened gEdit with plugins enabled

Comment
-----
Nothing to add... it always happens.
Comment 6 Renich Bon Ciric 2011-05-16 22:26:00 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a spec file

Comment
-----
this happens randomly... sorry
Comment 7 Fedora End Of Life 2012-08-16 11:30:38 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.